/**
 * @file
 * @brief Common configuration for STM32 MCUs
 */
#ifndef STA_CORE_STM32_MCU_COMMON_HPP
#define STA_CORE_STM32_MCU_COMMON_HPP

#include <sta/lang.hpp>


// TODO: Are all STM32 MCUs little endian?
#define STA_MCU_LITTLE_ENDIAN


// Enable STM32 platform
#define STA_PLATFORM_STM32


// Define the USART handle based on the provided USART idx.
#ifdef STA_STM32_SWD_USART_IDX
#	define STA_STM32_USART_HANDLE STA_CONCAT(huart, STA_STM32_SWD_USART_IDX)
#endif // STA_STM32_SWD_USART_IDX


#endif // STA_CORE_STM32_MCU_COMMON_HPP
